// ===================================================
// Листинг 20. Удаление файлов
//
// Файл ferase\ferase.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#define BYTE unsigned char
#define WORD unsigned int

extern "C" int GetNetWareShellVersion(char *,char *, char *);
extern "C" int EraseFiles(BYTE, char*, BYTE);

void main(int argc, char *argv[]) {

	char MajorVersion=0;
	char MinorVersion=0;
	char Revision=0;

	int ccode;

	printf("\n*FERASE* (C) Frolov A., 1993\n");

// Проверяем наличие сетевой оболочки

	asm push si
	GetNetWareShellVersion(&MajorVersion,
			&MinorVersion, &Revision);
	asm pop si

	if(MajorVersion == 0) {
		printf("\nОболочка NetWare не загружена\n");
		return;
	}

// Необходимо задать путь к каталогу, удаляемые
// и добавляемые права доступа

	if(argc < 2) {
		printf("Укажите путь к удаляемому файлу,"
			"\nнапример: ferase sys:users\my.dat");
		return;
	}

// Параметр должен быть задан заглавными буквами

	strupr(argv[1]);

	ccode = EraseFiles(0, argv[1], 6);

	if(!ccode)
		printf("Файл %s удален\n", argv[1]);
	else
		printf("Ошибка %02.2X\n", ccode);
}

